Bug 846856 - mod_vcard_ldap displaying jpegPhoto image is broken
mod_vcard_ldap displaying jpegPhoto image is broken
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: ejabberd (Show other bugs)
el5
All All
unspecified Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 18:30 EDT by Michal Bruncko
Modified: 2012-12-14 07:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-14 07:57:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Bruncko 2012-08-08 18:30:15 EDT
Description of problem:
with current version of ejabber (2.1.11) and especially with module mod_vcard_ldap, there issue with displaying images which are fetched from LDAP directory server. Dysplayed image (picture) on XMPP clients is corrupted and is unusable.

Version-Release number of selected component (if applicable):
there are also many existing reports registered within this bug on other portals:
- http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=660186 (mod_vcard_ldap Broken JPEG Photo in 2.1.10)
- https://support.process-one.net/browse/EJAB-1526 (Broken JPEG Photo)

and this issue is same for 2.1.11 as for 2.1.10.

thanks
Comment 1 Michal Bruncko 2012-08-09 18:33:26 EDT
I tried to use mod_vcard.erl and mod_vcard_ldap.erl from 2.1.9 into 2.1.11 and rebuild, but without changes.
Comment 2 Michal Bruncko 2012-10-24 09:46:47 EDT
On https://support.process-one.net/browse/EJAB-1526 there was released (very simple - 1 row) patch for fixing this issue:

https://support.process-one.net/secure/attachment/19419/eldap_filter.patch

I have applied it and it is working for me. Please apply this patch into package. thanks!
Comment 3 Peter Lemenkov 2012-10-28 12:21:04 EDT
(In reply to comment #2)
> On https://support.process-one.net/browse/EJAB-1526 there was released (very
> simple - 1 row) patch for fixing this issue:
> 
> https://support.process-one.net/secure/attachment/19419/eldap_filter.patch
> 
> I have applied it and it is working for me. Please apply this patch into
> package. thanks!

Thanks for investigating this, Michal! I'll provide a new build shortly.
Comment 4 Fedora Update System 2012-10-28 13:20:08 EDT
ejabberd-2.1.11-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ejabberd-2.1.11-6.el6
Comment 5 Fedora Update System 2012-10-28 13:59:44 EDT
ejabberd-2.1.11-6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ejabberd-2.1.11-6.el5
Comment 6 Michal Bruncko 2012-10-29 04:37:46 EDT
Thanks Peter for this fast action :)
Comment 7 Fedora Update System 2012-10-29 14:38:16 EDT
Package ejabberd-2.1.11-6.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ejabberd-2.1.11-6.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13327/ejabberd-2.1.11-6.el6
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.